commit:     be838881d41aeb8a0be7b032a22cc9121e72ea7b
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 17 05:52:48 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Oct 17 05:52:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be838881

dev-ml/zarith: bump to 1.7

Package-Manager: Portage-2.3.11, Repoman-2.3.3

 dev-ml/zarith/Manifest          |  1 +
 dev-ml/zarith/zarith-1.7.ebuild | 52 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-ml/zarith/Manifest b/dev-ml/zarith/Manifest
index a5fd6576dec..c2a2b37603d 100644
--- a/dev-ml/zarith/Manifest
+++ b/dev-ml/zarith/Manifest
@@ -1,3 +1,4 @@
 DIST zarith-1.4.1.tgz 88831 SHA256 
23b6c140aad25385bb0b862b9b9fe8a5c6e6f608d0fac7a688aaede5ea876650 SHA512 
ef6717e3b6c19ef94fb0e02eb33b1d9f2b2103a9fe0334cb89b01b344ee953fbeeaed8a75b17daa32760faaf93d582e6778ae50e59e9cf878663f2ecba1d5659
 WHIRLPOOL 
51fc093160ccd5b26282dc1e4f0da223cf0de49c357d560c45bf839ae1dadc53968b117f6ecb96da722fcda2c669ececbd6ca3fab61c71059f37764bfc602888
 DIST zarith-1.5.tar.gz 89211 SHA256 
b1d7b7394267a40c933d387131004cf0bc0dbdaea7a981fce865e1ae5d12e40b SHA512 
4e616b8cc81cd83f51696926e598be3bcda0bb5999db3cf42dd627cf537320a0216c74eb14c57e57fc21c909df8ef3fb3fa602a7ad633c115d2ee61af5a9fdcd
 WHIRLPOOL 
5f99fc525cd54167f8a6188adf8398003e8728ea9fc04b338dd69a2b0c5cbc943b79b9a5dccc41f7e24a62b00ed9900843a8eca124ab652f6c99240d6620bbdb
 DIST zarith-1.6.tar.gz 89353 SHA256 
0ad52b7e8d3791d401a5d64d6f85333d096b32d3ebb9f92e2496fbe64574078e SHA512 
a12eacfaa809885f2b0f09ed0fc56d90ebaf9a3d8685db8a41dcaaaa2a9d2410ec96529d8bee653343ea8d51304861dbcf12daba06206a6cf07753ad3b09780d
 WHIRLPOOL 
61f963dadeac8cc1eaef4f783957a34fa6a3507f108c26690fb7ac2aee02744f58b2e2457222d1db937f7d79eca13cbb1cdebfd795f7e3868021c737979e93f1
+DIST zarith-1.7.tar.gz 89617 SHA256 
d641bb66d04461111b75f2fc37ad1eec764dcf326d98a51ac078695baea2ab3a SHA512 
812b5f9b24ce7a24d3370b8728ff6eeb56e3280fa1573e694fe54e781668c29bf8ff95e94aeff59df948adc85b8acd6b4efe117fb50a124f19b4227bee78e753
 WHIRLPOOL 
9369fbcc235779b7902e580df03c2b3ee8dec23a3278a8e1034c31580f4380671169fd397cad812add97b65ed4a577c20ec03040706e6f8ba4d88001d5623965

diff --git a/dev-ml/zarith/zarith-1.7.ebuild b/dev-ml/zarith/zarith-1.7.ebuild
new file mode 100644
index 00000000000..857c5026e9d
--- /dev/null
+++ b/dev-ml/zarith/zarith-1.7.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit findlib eutils toolchain-funcs
+
+DESCRIPTION="Arithmetic and logic operations over arbitrary-precision integers"
+HOMEPAGE="https://github.com/ocaml/Zarith";
+SRC_URI="https://github.com/ocaml/Zarith/archive/release-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc mpir +ocamlopt"
+
+RDEPEND="
+       >=dev-lang/ocaml-4:=[ocamlopt?]
+       !mpir? ( dev-libs/gmp:0= )
+       mpir? ( sci-libs/mpir )"
+
+DEPEND="${RDEPEND} dev-lang/perl"
+
+S="${WORKDIR}/Zarith-release-${PV}"
+
+src_configure() {
+       tc-export CC
+       ./configure -host "${CHOST}" \
+               -ocamllibdir "/usr/$(get_libdir)" \
+               -installdir "${ED}/usr/$(get_libdir)/ocaml" \
+               $(usex mpir "-mpir" "-gmp") || die
+}
+
+src_compile() {
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) all
+       use doc && emake doc
+}
+
+src_test() {
+       if use ocamlopt ; then
+               emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex 
ocamlopt yes no) tests
+       else
+               ewarn "Tests require USE=ocamlopt. Skipping them."
+       fi
+}
+
+src_install() {
+       findlib_src_preinst
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) install
+       dodoc Changes README.md
+       use doc && dohtml html/*
+}

Reply via email to